.historyAction {
	display: flex;
	box-sizing: border-box;
	align-items: center;
	cursor: default;
	height: 28px;
	padding-right: .4em;
	color: #bbb;
	font-size: 13px;
	font-family: var( --monospace );
	background-color: #333;
	transition: background-color .2s;
}
.historyAction + .historyAction {
	border-top: 1px solid #222;
}
.historyAction:hover {
	background-color: #444;
}

/* -------------------------------------------------------------------------- */
.historyAction::before {
	content: "";
	display: block;
	width: 4px;
	height: 100%;
	background-color: var( --col1-middle );
	transition: inherit;
}
.historyAction-undone::before {
	background-color: #000;
}

/* -------------------------------------------------------------------------- */
.historyAction-icon {
	margin: 0 .4em;
}
.historyAction-text {
	flex: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	transition-duration: inherit;
	transition-property: opacity;
}
.historyAction-undone:not(:hover) .historyAction-icon,
.historyAction-undone:not(:hover) .historyAction-text {
	opacity: .5;
}
